Package net.sf.saxon.expr

## Enum OperandUsage

- java.lang.Object
- - java.lang.Enum<OperandUsage>
  - - net.sf.saxon.expr.OperandUsage

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<OperandUsage>`

      public enum OperandUsage
      extends java.lang.Enum<OperandUsage>

  The usage of an operand defines how the containing expression makes use of the value of the operand, as defined in the XSLT 3.0 specification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABSORPTION` |
    `INSPECTION` |
    `NAVIGATION` |
    `TRANSMISSION` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OperandUsage` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static OperandUsage[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABSORPTION

          public static final OperandUsage ABSORPTION

    - #### INSPECTION

          public static final OperandUsage INSPECTION

    - #### TRANSMISSION

          public static final OperandUsage TRANSMISSION

    - #### NAVIGATION

          public static final OperandUsage NAVIGATION

  - ### Method Detail

    - #### values

          public static OperandUsage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperandUsage c : OperandUsage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperandUsage valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null